mod components;
mod plugins;
mod resources;
mod systems;

mod prelude {
    pub use crate::components::*;
    pub use crate::plugins::*;
    pub use crate::resources::*;
    pub use crate::systems::*;
    pub use bevy::prelude::*;

    pub const SCREEN_WIDTH: f32 = 80.0;
    pub const SCREEN_HEIGHT: f32 = 50.0;
    pub const TILE_SIZE: f32 = 64.0;
}

use prelude::*;

fn main() {
    App::build()
        .insert_resource(ClearColor(Color::rgb(0.0, 0.0, 0.0)))
        .add_plugins(DefaultPlugins)
        .add_startup_system(setup.system())
        .add_startup_system(add_player.system())
        .add_system(player_movement.system())
        .add_system(follow_player.system())
        .run();
}
